image: python:latest

cache:
  paths:
    - .venv/

stages:
  - lint

before_script:
  - python --version
  - pip --version

  - pip install virtualenv
  - virtualenv .venv
  - source .venv/bin/activate

  - python -m pip install --upgrade pip
  - pip install wheel setuptools pip --upgrade
  - pip install .[test]

lint-job:
  stage: lint
  script:
    - ./check.sh
